#!/usr/bin/perl
#
# MyConfig - read simple config that is used by OpenLDAP setup
#
# $Id$

use strict;
use Carp;

package MyConfig;

sub readConfig {
	my ($filename) = @_;

	die "No filename supplied for readConfig" if !$filename;

	open CONF, "<$filename" or die "Cannot open $filename: $!\n";

	my $ret = {};
	while (<CONF>) {
		chomp;
		next if /^\s*#/;
		next if /^\s*$/;

		my ($name,$value) = ($_ =~ /([a-zA-Z_-]+)=(.+)$/);

		# Allow quotes so that same file can be used by shell if value contains spaces
		if ($value) {
			my ($quoted) = ($value =~ /^"(.*)"$/);
			$value = $quoted if $quoted;
		}
			
		$ret->{$name} = $value if $value;
	}

	close CONF;

	return $ret;
}

1;

